# CodeIgniter 4 plugin

This is a plugin to add [CodeIgniter 4 framework](https://codeigniter.com/) introspection to ZendHQ's ZRay. 

### Info Tab

The `Info` tab displays general information about CodeIgniter state.

* **baseURL**: app url 
* **ciVersion**: framework version
* **cspEnabled**: Content Security Policy, true or false
* **debugMode**: Debug mode enabled, true or false
* **environment**: "development" or "production"
* **locale**: current locale
* **matchedRoute**: current matched route and parameters
* **phpSAPI**: PHP SAPI name
* **phpVersion**: PHP version
* **timezone**: current timezone value

### Routes Tab

The `Routes` tab displays a table of all defined routes, methods and handlers

### Response Tab

The `Response` tab provides alternative display for response body

### Events Tab

The `Events` tab displays information about all triggered CodeIgniter events.
It exposes the following columns:

* **Event**: The event name
* **Listeners**: Count of listeners for this event
* **Arguments**: Arguments sent to listener, if any
* **Start time**: Event timestamp

### Listeners Tab

The `Listeners` tab displays information about event listeners.
It exposes the following columns:

* **Name**: The event name
* **Callback**: Callback function description

### Helpers Tab

The `Helpers` tab displays a list of loaded helper functions:

* **Name**: The helper name
* **Source**: The php file full path
